FLASHROM(8)

NAME
flashrom - a universal BIOS/ROM/flash programming utility

SYNOPSIS
flashrom [-rwvEVfLhR] [-c chipname] [-s exclude_start] [-e exclude_end]
         [-m vendor:part] [-l file.layout] [-i image_name] [file]

DESCRIPTION
flashrom is a universal flash programming utility for DIP, PLCC, or SPI flash ROM chips. It can be used to flash BIOS/coreboot/firmware images, for example.

(see http://coreboot.org for details on coreboot)

OPTIONS
If no file is specified, then all that happens is that flash info is dumped and the flash chip is set to writable.

-r, --read
    Read flash ROM contents and save them into the given file.

-w, --write
    Write file into flash ROM (default when file is specified).

-v, --verify
    Verify the flash ROM contents against the given file.

-E, --erase
    Erase the flash ROM device.

-V, --verbose
    More verbose output.

-c, --chip <chipname>
    Probe only for specified flash ROM chip.

-s, --estart <addr>
    Exclude start position (obsolete).

-e, --eend <addr>
    Exclude end postion (obsolete).

-m, --mainboard <[vendor:]part>
    Override mainboard settings. This option is needed for some mainboards, see the flashrom --list-supported output for a list. The vendor is not required when the board name is unique.

-f, --force
    Force write without checking whether the ROM image file is really meant to be used on this board.

    Note: This check only works while coreboot is running, and only for those boards where the coreboot code supports it.

-l, --layout <layout.file>
    Read ROM layout from file.

-i, --image <name>
    Only flash image <name> from flash layout.

-L, --list-supported
    List the ROM chips, chipsets, and mainboards supported by flashrom. The list of mainboards consists of those boards which need a special ROM write-enable function for flashrom to work.

    There are many other boards which will work out of the box, without such special support in flashrom. Some of the known-good/known-bad and tested ones are listed at http://coreboot.org/Flashrom#Supported_mainboards, but the list is not exhaustive, of course.

-h, --help
    Show a help text and exit.

-R, --version
    Show version information and exit.

BUGS
Please report any bugs at http://tracker.coreboot.org/trac/coreboot/newticket, or on the coreboot mailing list (http://coreboot.org/Mailinglist).

LICENCE
flashrom is covered by the GNU General Public License (GPL), version 2 or later.

COPYRIGHT
2000 Silicon Integrated System Corporation
2003 Niki W. Waibel
2004 Tyan Corp
2005-2007 coresystems GmbH

AUTHORS
Yinghai Lu <yinghai.lu@amd.com>
Stefan Reinauer <stepan@coresystems.de>
Niki W. Waibel <niki.waibel@gmx.net>
some others

This manual page was written by Uwe Hermann <uwe@hermann-uwe.de>. It is licensed under the terms of the GNU GPL (version 2 or later).